Subject: bug#45607: 27.1; compiled replace-string breaks repeat-complex-command

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jun 2022 12:23:02 +0300

> From: Allen Li <[email-masked]>
> Date: Thu, 9 Jun 2022 01:39:01 -0700
> Cc: Juri Linkov <[email-masked]>, Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> 
> [1:text/plain Show]
> 
> 
> [2:text/html Hide Save:noname (944B)]
> 
> On Tue, Jun 7, 2022 at 11:58 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > Cc: [email-masked], Allen Li <[email-masked]>
>  > From: Juri Linkov <[email-masked]>
>  > Date: Tue, 07 Jun 2022 21:40:58 +0300
>  > 
>  > > Does anybody know of a more general solution to this?
>  > 
>  > This feature is broken by design as I explained in
>  > https://debbugs.gnu.org/45617#17
> 
>  It isn't broken, you just expect it to do some magic that it never
>  meant to do.
> 
>  As in many other cases, the perfect is the enemy of the good here.
> 
> I think it's reasonable to consider the different behavior of evaled vs compiled to be a bug.  Which one is
> correct can be debated, but the fact that they're different is a bug.  Would you disagree? 

That's not what I alluded to, not at all.  I was talking about
repeat-complex-command itself and its alleged "broken" state.